from django.urls import path
from accounts.views import user,password,verification,user_info

urlpatterns =[
    path('backoffice-user-create',user.BackOfficeUserCreateView.as_view()),   
    path('backoffice-list',user.UserListView.as_view()),
    path('backoffice-list/<int:pk>',user.UserDetailsView.as_view(),name='update-user'),
    path('backoffice-profile/<int:pk>',user.UserProfileDetailsView.as_view()),
    path('verify', verification.VerifyUserAccount.as_view(), name='verify-user'),
    path('me', user.LoggedInUserView.as_view()),
    path('firebase-device-id',user.UpdateFirebaseDeviceIDView.as_view()),
    path('existed-email-verify',verification.UserEmailVerified.as_view()),
    path('mobile-no-verification-otp',user.MobileVerificationView.as_view()),
    path('mobile-no-verification-resend-otp',user.MobileVerificationResendOTPView.as_view()),
    path('mobile-no-verify',user.MobileVerifyView.as_view()),
    path('switch-user',user.SwitchUserView.as_view()),
    path('university-list',user_info.UserEducationList.as_view()),
    path('user-accounts-verify-details/<int:pk>',user_info.UserAccountVerifyDetails.as_view()),
    path('social-accounts-linked/<int:user_id>',user_info.UserSocialAccountList.as_view()),
    path('resend_registration_link', user.ResendRegistrationLinkView.as_view()),
    path('addresses-list',user_info.UserAddressListView.as_view()),
    path('addresses',user_info.UserAddressCreateView.as_view()),
    path('addresses/<int:pk>',user_info.UserAddressDetailsView.as_view()),
    path('languages',user_info.UserLanguageCreateView.as_view()),
    path('languages/<int:pk>',user_info.UserLanguageDetailsView.as_view()),
    path('skills',user_info.UserSkillsCreateView.as_view()),
    path('skills/<int:pk>',user_info.UserSkillsDetailsView.as_view()),
    path('educations',user_info.UserEducationCreateView.as_view()),
    path('educations/<int:pk>',user_info.UserEducationDetailsView.as_view()),
    path('certifications',user_info.UserCertificationsCreateView.as_view()),
    path('certifications/<int:pk>',user_info.UserCertificationsDetailsView.as_view()),
    path('bank-list',user_info.UserBankCreateListView.as_view()),
    path('bank-list/<int:pk>',user_info.UserBankDetailsView.as_view()),
    path('seller-wallet-balance',user.UserWalletBalancetView.as_view()),

]
